import request from "../../utils/request";

export function upldSetlList(data) {
    return request({
        url: '/setlListUpld/upldSetlList',
        method: 'post',
        data,
        jdtTitle: '医保结算单上传',
    })
}

export function upldSetlListTimes(data) {
    return request({
        url: '/setlListUpld/upldSetlListTimes',
        method: 'post',
        data,
        jdtTitle: '医保结算单上传',
    })
}

export function getMedType() {
    return request({
        url: '/setlListUpld/getMedType',
        method: 'get'
    })
}

export function getMedChrgitmType() {
    return request({
        url: '/setlListUpld/getMedChrgitmType',
        method: 'get'
    })
}

export function getFundPayType() {
    return request({
        url: '/setlListUpld/getFundPayType',
        method: 'get'
    })
}

export function huoQuJieSuanRenYuan(data) {
    return request({
        url: '/setlListUpld/huoQuJieSuanRenYuan',
        method: 'post',
        data,
    })
}

export function jieSuanDanKeXiuGaiXinXi(patNo, times, ledgerSn) {
    return request({
        url: '/setlListUpld/jieSuanDanKeXiuGaiXinXi',
        method: 'get',
        params: {patNo, times, ledgerSn}
    })
}


export function shouShuBianMa(content, currentPage) {
    return request({
        url: '/setlListUpld/shouShuBianMa',
        method: 'get',
        params: {content, currentPage}
    })
}

export function setlModifyReq(data) {
    return request({
        url: '/setlListUpld/setlModifyReq',
        method: 'post',
        data,
    })
}


export function setlUploadAudit(data) {
    return request({
        url: '/setlListUpld/setlUploadAudit',
        method: 'post',
        data
    })
}

export function xianZhiShiJian() {
    return request({
        url: '/setlListUpld/xianZhiShiJian',
        method: 'get',
    })
}

export function sheZhiShiJian(startTime, endTime, opId) {
    return request({
        url: '/setlListUpld/sheZhiShiJian',
        method: 'get',
        params: {startTime, endTime, opId}
    })
}

export function getHuanZheFeiYong(patNo, times) {
    return request({
        url: '/setlListUpld/getHuanZheFeiYong',
        method: 'get',
        params: {patNo, times}
    })
}

export function xiuGaiGuanChuangYiShen(patNo, times, code) {
    return request({
        url: '/setlListUpld/xiuGaiGuanChuangYiShen',
        method: 'get',
        params: {patNo, times, code}
    })
}

export function daYingShangChuanJieSuanDan(patNo, times, ledgerSn) {
    return request({
        url: '/setlListUpld/daYingShangChuanJieSuanDan',
        method: 'get',
        params: {patNo, times, ledgerSn}
    })
}

/**
 * 修改住院医疗类别
 * @param iptMenType 要修改的值
 * @param setlId 结算id
 *
 */
export function modifyMedicalCategory(iptMenType, setlId) {
    return request({
        url: '/setlListUpld/modifyMedicalCategory',
        method: 'get',
        params: {iptMenType, setlId}
    })
}


export function addOrModifyBloodTransfusionVolume(data) {
    return request({
        url: '/setlListUpld/addOrModifyBloodTransfusionVolume',
        method: 'post',
        data
    })
}

export function removeBloodTransfusion(id) {
    return request({
        url: '/setlListUpld/removeBloodTransfusion',
        method: 'get',
        params: {id}
    })
}

export function exportAutoUploadInfo(startTime, endTime) {
    return request({
        url: '/setlListUpld/exportAutoUploadInfo',
        method: 'get',
        params: {startTime, endTime}
    })
}



export function sendDrgGroupTest(data) {
    return request({
        url: '/setlListUpld/drgGroupTest',
        method: 'post',
        data
    })
}

/**
 * 申请审核
 * @returns {AxiosPromise}
 */
export function sendAudit(data) {
    return request({
        url: '/setlListUpld/sendAudit',
        method: 'post',
        data
    })
}

/**
 * 查询审核日志
 * @returns {AxiosPromise}
 */
export function listSetlAuditLog(patNo,times) {
    return request({
        url: '/setlListUpld/listSetlAuditLog',
        method: 'get',
        params: {patNo, times}
    })
}

/**
 *质控测算接口
 * @returns {AxiosPromise}
 */
export function drgQualityTest(data) {
    return request({
        url: '/setlListUpld/drgQualityTest',
        method: 'post',
        data
    })
}
/**
 *查询是否为在院病人
 * @returns {AxiosPromise}
 */
export function isInHospital(patNo,times) {
    return request({
        url: '/setlListUpld/isInHospital',
        method: 'get',
        params: {patNo, times}
    })
}

/**
 *撤销审核
 * @returns {AxiosPromise}
 */
export function sendShenQingCheHui(patNo,times) {
    return request({
        url: '/setlListUpld/shenQingCheHui',
        method: 'get',
        params: {patNo, times}
    })
}

/**
 *查询审核记录
 * @returns {AxiosPromise}
 */
export function querySetlModifyReq(patNo,times) {
    return request({
        url: '/setlListUpld/querySetlModifyReq',
        method: 'get',
        params: {patNo, times}
    })
}

/**
 *查询上传日志记录
 * @returns {AxiosPromise}
 */
export function queryUploadInfo(data) {
    return request({
        url: '/setlListUpld/queryUploadInfo',
        method: 'post',
        data
    })
}

/**
 *病案首页检查
 * @returns {AxiosPromise}
 */
export function sheetVerification(data) {
    return request({
        url: '/setlListUpld/sheetVerification',
        method: 'post',
        data
    })
}
/**
 *查询科室配置信息
 * @returns {AxiosPromise}
 */
export function querySetlDeptConfInfo(data) {
    return request({
        url: '/setlListUpld/querySetlDeptConfInfo',
        method: 'post',
        data
    })
}


/**
 *保存科室配置信息
 * @returns {AxiosPromise}
 */
export function saveSetlDeptConfInfo(data) {
    return request({
        url: '/setlListUpld/saveSetlDeptConfInfo',
        method: 'post',
        data
    })
}

/**
 *查询上传截止天数
 * @returns {AxiosPromise}
 */
export function getUploadMaxDay() {
    return request({
        url: '/setlListUpld/getUploadMaxDay',
        method: 'get',

    })
}

/**
 *查询drg分组信息
 * @returns {AxiosPromise}
 */
export function queryDrgGroupPage(data) {
    return request({
        url: '/setlListUpld/queryDrgGroupPage',
        method: 'post',
        data
    })
}


/**
 *修改编码员备注
 * @returns {AxiosPromise}
 */
export function updateBmyBz(data) {
    return request({
        url: '/setlListUpld/updateBmyBz',
        method: 'post',
        data
    })
}

/**
 * 检查医生医保编码
 *
 */
export function validateYbCode(code) {
    return request({
        url: '/setlListUpld/validateYbCode',
        method: 'get',
        params: {code}
    })
}